## Player Looping Function
execute as @a at @s run function gbg:player_loop

## Equipment Specific Commands
#c4 specific commands
scoreboard players remove @e[scores={c4_countdown=1..}] c4_countdown 1
execute as @e[tag=c4,type=item_frame,limit=1,sort=random] at @s run function gbg:equipment/c4/loop

#land mine specific commands
execute as @e[tag=land_mine,type=item_frame,sort=random] at @s if entity @e[type=!#gbg:land_mine_not_mob,dx=0] run function gbg:equipment/land_mine/explode

# Throwable Commands
scoreboard players set @e[scores={gbg.throwable_start=1},type=marker,tag=gbg_throwable_tracker] gbg.throwable_start 2
execute as @e[type=snowball,nbt={Item:{tag:{throwable:1b}}}] at @s run function gbg:equipment/throwables/loop
execute as @e[type=marker,tag=pipe_bomb_tracker,scores={gbg.throwable_start=2}] at @s unless entity @e[type=snowball,nbt={Item:{tag:{pipe_bomb:1b}}},distance=..1,limit=1,sort=nearest] run function gbg:equipment/throwables/pipe_bomb_impact
execute as @e[type=marker,tag=molotov_cocktail_tracker,scores={gbg.throwable_start=2}] at @s unless entity @e[type=snowball,nbt={Item:{tag:{molotov_cocktail:1b}}},distance=..1,limit=1,sort=nearest] run function gbg:equipment/throwables/molotov_cocktail_impact
execute as @e[type=marker,tag=grenade_tracker,scores={gbg.throwable_start=2}] at @s unless entity @e[type=snowball,nbt={Item:{tag:{grenade:1b}}},distance=..1,limit=1,sort=nearest] run function gbg:equipment/throwables/grenade_impact
execute as @e[type=marker,tag=chemical_grenade_tracker,scores={gbg.throwable_start=2}] at @s unless entity @e[type=snowball,nbt={Item:{tag:{chemical_grenade:1b}}},distance=..1,limit=1,sort=nearest] run function gbg:equipment/throwables/chemical_grenade_impact

# Turret Code
execute as @e[type=item_frame,tag=placer] at @s run function gbg:turret/placer
execute as @e[type=pig,tag=turret] at @s run function gbg:turret/loop

execute as @e[type=armor_stand,tag=auto] at @s unless entity @e[type=pig,tag=turret,distance=..0.1,limit=1,sort=nearest] run function gbg:turret/auto/stages/destroyed
execute as @e[type=armor_stand,tag=sentry] at @s unless entity @e[type=pig,tag=turret,distance=..0.1,limit=1,sort=nearest] run function gbg:turret/sentry/stages/destroyed
execute as @e[type=armor_stand,tag=perdition] at @s unless entity @e[type=pig,tag=turret,distance=..0.1,limit=1,sort=nearest] run function gbg:turret/perdition/stages/destroyed

scoreboard players remove @e[scores={gbg.behind_cover=1..}] gbg.behind_cover 1

## TURRET BACKWARDS COMPATABILITY
execute as @e[type=creeper,tag=auto_turret_gun] at @s run function gbg:turret/old



